# Donate

## POST /api/v1/donate/bank-transfer/

> Create Bank Transfer.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"BankTransfer":{"type":"object","description":"Serializer for bank transfer donation requests (amount >= 5L)","properties":{"amount":{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,2})?$"},"name":{"type":"string","maxLength":255},"donation_name":{"type":"string","maxLength":100},"email":{"type":"string","format":"email"},"phone_number":{"type":"string","maxLength":20},"pan_number":{"type":"string","maxLength":10},"address":{"type":"string"},"company":{"type":"string","maxLength":255},"donation_type":{"enum":["one-time","monthly","yearly"],"type":"string","description":"* `one-time` - one-time\n* `monthly` - monthly\n* `yearly` - yearly","default":"one-time"},"is_organisation":{"type":"boolean","default":false},"proof_url":{"type":"string","format":"uri","maxLength":2000},"reference_code":{"type":"string","maxLength":50}},"required":["amount","email","name","reference_code"]}}},"paths":{"/api/v1/donate/bank-transfer/":{"post":{"operationId":"donate_bank_transfer_create","description":"Create Bank Transfer.","tags":["Donate"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankTransfer"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BankTransfer"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/BankTransfer"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/BankTransfer"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/donate/order/

> Create Razor Pay Order.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Order":{"type":"object","description":"Serializer for one-time order creation requests","properties":{"amount":{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,2})?$"},"currency":{"type":"string","default":"INR"},"name":{"type":"string","maxLength":255},"donation_name":{"type":"string","maxLength":100},"email":{"type":"string","format":"email"},"phone_number":{"type":"string","maxLength":20},"pan_number":{"type":"string","maxLength":10},"address":{"type":"string"},"company":{"type":"string","maxLength":255},"donation_type":{"enum":["one-time","monthly","yearly"],"type":"string","description":"* `one-time` - one-time\n* `monthly` - monthly\n* `yearly` - yearly","default":"one-time"},"is_organisation":{"type":"boolean","default":false}},"required":["amount","email","name"]}}},"paths":{"/api/v1/donate/order/":{"post":{"operationId":"donate_order_create","description":"Create Razor Pay Order.","tags":["Donate"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Order"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Order"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Order"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/donate/subscription/create/

> Create Razor Pay Subscription.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Subscription":{"type":"object","description":"Serializer for subscription creation requests","properties":{"amount":{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,2})?$"},"currency":{"type":"string","default":"INR"},"name":{"type":"string","maxLength":255},"donation_name":{"type":"string","maxLength":100},"email":{"type":"string","format":"email"},"phone_number":{"type":"string","maxLength":20},"pan_number":{"type":"string","maxLength":10},"address":{"type":"string"},"company":{"type":"string","maxLength":255},"donation_type":{"enum":["one-time","monthly","yearly"],"type":"string","description":"* `one-time` - one-time\n* `monthly` - monthly\n* `yearly` - yearly"},"is_organisation":{"type":"boolean","default":false}},"required":["amount","donation_type","email","name"]}}},"paths":{"/api/v1/donate/subscription/create/":{"post":{"operationId":"donate_subscription_create_create","description":"Create Razor Pay Subscription.","tags":["Donate"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Subscription"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Subscription"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Subscription"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Subscription"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/donate/subscription/verify/

> Create Razor Pay Subscription Verification.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Donation":{"type":"object","description":"Serializer for Donation model - payment tracking","properties":{"donation_type":{"enum":["one-time","monthly","yearly"],"type":"string","description":"* `one-time` - one-time\n* `monthly` - monthly\n* `yearly` - yearly"},"order_id":{"type":"string","nullable":true,"maxLength":100},"payment_id":{"type":"string","nullable":true,"maxLength":100},"donation_name":{"type":"string","nullable":true,"maxLength":100},"payment_method":{"type":"string","nullable":true,"maxLength":50},"amount":{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,2})?$"},"currency":{"type":"string","maxLength":10},"is_paid":{"type":"boolean"},"payment_status":{"type":"string","maxLength":30},"reference_code":{"type":"string","nullable":true,"maxLength":50},"proof_url":{"type":"string","nullable":true},"donor":{"type":"string"}},"required":["amount","donation_type","donor"]}}},"paths":{"/api/v1/donate/subscription/verify/":{"post":{"operationId":"donate_subscription_verify_create","description":"Create Razor Pay Subscription Verification.","tags":["Donate"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Donation"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Donation"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Donation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Donation"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/donate/verify/

> Create Razor Pay Verification.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Donation":{"type":"object","description":"Serializer for Donation model - payment tracking","properties":{"donation_type":{"enum":["one-time","monthly","yearly"],"type":"string","description":"* `one-time` - one-time\n* `monthly` - monthly\n* `yearly` - yearly"},"order_id":{"type":"string","nullable":true,"maxLength":100},"payment_id":{"type":"string","nullable":true,"maxLength":100},"donation_name":{"type":"string","nullable":true,"maxLength":100},"payment_method":{"type":"string","nullable":true,"maxLength":50},"amount":{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,2})?$"},"currency":{"type":"string","maxLength":10},"is_paid":{"type":"boolean"},"payment_status":{"type":"string","maxLength":30},"reference_code":{"type":"string","nullable":true,"maxLength":50},"proof_url":{"type":"string","nullable":true},"donor":{"type":"string"}},"required":["amount","donation_type","donor"]}}},"paths":{"/api/v1/donate/verify/":{"post":{"operationId":"donate_verify_create","description":"Create Razor Pay Verification.","tags":["Donate"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Donation"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Donation"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Donation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Donation"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/donate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
